using Kingdee.BOS.Core.List.PlugIn;
using Kingdee.BOS.Util;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace LQKJ.K3.NDR.NewReportPlugIn
{
    [HotUpdate, Description("设置默认日期")]
    public class YearMotnSetting: AbstractListPlugIn
    {
        public override void BeforeBindData(EventArgs e)
        {
            this.View.Model.SetValue("F_LQKJ_Combo11", DateTime.Now.Year.ToString());
            this.View.Model.SetValue("F_LQKJ_Combo2", (DateTime.Now.Month - 1).ToString());
            this.View.Model.SetValue("F_LQKJ_Combo", (DateTime.Now.Month - 1).ToString());
            this.View.Model.SetValue("F_LQKJ_Combo21", (DateTime.Now.Month - 1).ToString());
            base.BeforeBindData(e);
        }
    }
}
